<div *ngFor="let property of properties; let i = index">
  <p-panel 
    id="panel" 
    [toggleable]="true" 
    [collapsed]="true" 
    expandIcon="pi pi-angle-down" 
    collapseIcon="pi pi-angle-up" 
    (onAfterToggle)="toggle(($event), i)">
    <ng-template pTemplate="header">
      <app-header-component style="width: 100%" [property]="property"></app-header-component>
    </ng-template>
    <ng-template pTemplate="icons">
      <button pButton class="p-panel-header-icon p-link">
        <span class="pi pi-paperclip"></span>
      </button>
      <button pButton class="p-panel-header-icon p-link">
        <span class="pi pi-comment"></span>
      </button>      
      <button pButton class="p-panel-header-icon p-link">
        <span class="pi pi-ellipsis-h"></span>
      </button>
    </ng-template>
    <ng-template pTemplate="content">
      <app-content-component [idx]="i"></app-content-component>
    </ng-template>
  </p-panel>
</div>
